Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rapi
Class Serializer

    java.lang.Object
      org.apache.ode.bpel.rapi.Serializer

    public class Serializer

extends java.lang.Object

Header written at the beginning of every compiled BPEL object file.

Field Summary
`java.io.InputStream` | `_inputStream`
`long` | `compileTime` Time of compilation (system local time).
`short` | `format` Compiled Process representation format.
`static short` | `FORMAT_SERIALIZED_JAVA14`
`java.lang.String` | `guid`
`byte[]` | `magic`
`static byte[]` | `MAGIC_NUMBER`
`static byte[]` | `MAGIC_NUMBER_OFH_20040908`
`static byte[]` | `MAGIC_NUMBER_OFH_20061101`
`int` | `numProcesses` Deprecated, only one process per file.
`javax.xml.namespace.QName` | `type`

Constructor Summary
`Serializer()`
`Serializer(java.io.InputStream inputStream)`
`Serializer(long compileTime)`

Method Summary
`java.lang.String` | `getGuid()`
`javax.xml.namespace.QName` | `getType()`
`void` | `read(java.io.InputStream is)`
`ProcessModel` | `readPModel()`
`void` | `writePModel(ProcessModel pmodel, java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAGIC_NUMBER_OFH_20040908

    public static final byte[] MAGIC_NUMBER_OFH_20040908

### MAGIC_NUMBER_OFH_20061101

    public static final byte[] MAGIC_NUMBER_OFH_20061101

### MAGIC_NUMBER

    public static final byte[] MAGIC_NUMBER

### FORMAT_SERIALIZED_JAVA14

    public static final short FORMAT_SERIALIZED_JAVA14

See Also:
  Constant Field Values

### magic

    public final byte[] magic

### format

    public short format

  Compiled Process representation format.

### compileTime

    public long compileTime

  Time of compilation (system local time).

### numProcesses

    public final int numProcesses

  Deprecated, only one process per file.

  See Also:
    Constant Field Values

### _inputStream

    public java.io.InputStream _inputStream

### guid

    public java.lang.String guid

### type

    public javax.xml.namespace.QName type

Constructor Detail

### Serializer

    public Serializer(long compileTime)

### Serializer

    public Serializer()

### Serializer

    public Serializer(java.io.InputStream inputStream)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### read

    public void read(java.io.InputStream is)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writePModel

    public void writePModel(ProcessModel pmodel,
                            java.io.OutputStream os)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### readPModel

    public ProcessModel readPModel()
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### getGuid

    public java.lang.String getGuid()

### getType

    public javax.xml.namespace.QName getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD